GNU Radio C++ API Reference: rpcextractor_base< T, Tto > Class Template Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
rpcextractor_base< T, Tto > Class Template Reference

Base class for registering a ControlPort Extractor. Acts as a message acceptor. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions
| rpcextractor_base (T *source, void(T::*func)(Tto))
| ~rpcextractor_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Protected Attributes
T * | _source
void(T::*) | _func (Tto)

## Detailed Description

template<typename T, typename Tto>
class rpcextractor_base< T, Tto >

Base class for registering a ControlPort Extractor. Acts as a message acceptor.

## Constructor & Destructor Documentation

## ◆ rpcextractor_base()

template<typename T, typename Tto>

rpcextractor_base< T, Tto >::rpcextractor_base | ( | T * | source,
|  | void(T::* | func )(Tto) )
| inline

References _func, and _source.

Referenced by rpcbasic_extractor< T, Tto >::rpcbasic_extractor().

## ◆ ~rpcextractor_base()

template<typename T, typename Tto>

rpcextractor_base< T, Tto >::~rpcextractor_base | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ post()

template<typename T, typename Tto>

void rpcextractor_base< T, Tto >::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )
| inlineoverridevirtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implements gr::messages::msg_accepter.

## Member Data Documentation

## ◆ _func

template<typename T, typename Tto>

void(T::*) rpcextractor_base< T, Tto >::_func(Tto)
| protected

Referenced by rpcbasic_extractor< T, bool >::post(), rpcbasic_extractor< T, char >::post(), rpcbasic_extractor< T, double >::post(), rpcbasic_extractor< T, float >::post(), rpcbasic_extractor< T, int >::post(), rpcbasic_extractor< T, long >::post(), rpcbasic_extractor< T, short >::post(), rpcbasic_extractor< T, std::string >::post(), rpcbasic_extractor< T, void >::post(), and rpcextractor_base().

## ◆ _source

template<typename T, typename Tto>

T* rpcextractor_base< T, Tto >::_source
| protected

Referenced by rpcbasic_extractor< T, bool >::post(), rpcbasic_extractor< T, char >::post(), rpcbasic_extractor< T, double >::post(), rpcbasic_extractor< T, float >::post(), rpcbasic_extractor< T, int >::post(), rpcbasic_extractor< T, long >::post(), rpcbasic_extractor< T, short >::post(), rpcbasic_extractor< T, std::string >::post(), rpcbasic_extractor< T, void >::post(), and rpcextractor_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h